<?php

namespace App\Http\Controllers\Views;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Proveedor;
use App\TipoProveedor;

class ProveedorController extends Controller
{
    public function index(Request $request) 
    {
        $tipos_proveedores = TipoProveedor::all();

        $proveedores = Proveedor::orderBy('id', 'DESC');

        if ($request->has('tipo-proveedor') && $request->input('tipo-proveedor') != 0)
            $proveedores = $proveedores->where('tipos_proveedor_id', $request->input('tipo-proveedor'));

        if ($request->input('nombre'))
            $proveedores = $proveedores->where('nombre', 'like', '%'.$request->input('nombre').'%');


        $proveedores = $proveedores->paginate(3);

        return view('web.proveedores.index', compact('proveedores', 'tipos_proveedores'));
    }

    public function show($id) 
    {
        $proveedor = Proveedor::find($id);

        return view('web.proveedores.show', compact('proveedor'));
    }
}